### Function

# ECal util_normalize_rrule_until_value

since: 3.38

#### Declaration [src]

    void
    e_cal_util_normalize_rrule_until_value (
      ICalComponent* icalcomp,
      ICalTime* ttuntil,
      ECalRecurResolveTimezoneCb tz_cb,
      gpointer tz_cb_data
    )

#### Description [src]

Makes sure the `ttuntil` value matches the value type with the DTSTART value, as required by RFC 5545 section 3.3.10. Uses `tz_cb` with `tz_cb_data` to resolve time zones when needed.

Available since: 3.38

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`ttuntil`

  Type: `None`

  An UNTIL value to validate.

  The data is owned by the caller of the function.

`tz_cb`

  Type: `ECalRecurResolveTimezoneCb`

  The `ECalRecurResolveTimezoneCb` to call.

`tz_cb_data`

  Type: `gpointer`

  User data to be passed to the `tz_cb` callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.